
import 'package:flutter/material.dart';
import 'package:reorderables/reorderables.dart';
//import '../widgets/sliver_search_input.dart';

class WorkoutsEditorScreen extends StatefulWidget {
  @override
  _WorkoutsEditorScreenState createState() => _WorkoutsEditorScreenState();
}

class _WorkoutsEditorScreenState extends State<WorkoutsEditorScreen> {
  bool isReordering = false;
  String filter = "";

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    ScrollController _scrollController =
      PrimaryScrollController.of(context) ?? ScrollController()..addListener(() => print("listener"));
    return Scaffold(
      //floatingActionButton: _buildFABs(context),
      resizeToAvoidBottomPadding: false,
      body: SafeArea(
        child: CustomScrollView(
          controller: _scrollController,
          slivers: <Widget>[
            SliverAppBar(
              forceElevated: false,
              centerTitle: true,
              title: Text(
                "** Manage workouts **",
              ),
              floating: true,
              expandedHeight: 140,
              elevation: 4,
              pinned: true,
              flexibleSpace: FlexibleSpaceBar(
                background: Align(
                  alignment: Alignment.bottomCenter,
                  child: Text('bar'),
                ),
                //collapseMode: CollapseMode.parallax,
              ),
            ),
            _buildWorkoutsList(),
          ],
        ),
      ),
    );
  }

  Widget _buildWorkoutsList() {
    List<Widget> _rows = List<Widget>.generate(50,
        (int index) => Text('This is sliver child $index', textScaleFactor: 2));
    return ReorderableSliverList(
      delegate: ReorderableSliverChildListDelegate(_rows),
      onReorder: (int from, int to) {},
    );
  }
}

main() => runApp(MaterialApp(
//  home: WorkoutsEditorScreen(),
  home: Scaffold(
    appBar: AppBar(),
    body: WorkoutsEditorScreen(),
  ),
));
